import { Hash, SchemePermissions } from "../../commonTypes";
import { ArcTransactionDataResult, ContractWrapperBase } from "../../contractWrapperBase";
import { ContractWrapperFactory } from "../../contractWrapperFactory";
import { AbsoluteVoteParams } from "../../wrappers/absoluteVote";
export declare class TestWrapperWrapper extends ContractWrapperBase {
    name: string;
    friendlyName: string;
    factory: ContractWrapperFactory<TestWrapperWrapper>;
    foo(): string;
    aMethod(): string;
    setParameters(params: AbsoluteVoteParams): Promise<ArcTransactionDataResult<Hash>>;
    getDefaultPermissions(): SchemePermissions;
}
export declare const TestWrapperFactory: ContractWrapperFactory<TestWrapperWrapper>;
